gi-gdkx11-3.0.15: GdkX11 bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.GdkX11.Objects.X11Screen

Contents

- Exported types
- Methods
  - getCurrentDesktop
  - getMonitorOutput
  - getNumberOfDesktops
  - getScreenNumber
  - getWindowManagerName
  - getXscreen
  - lookupVisual
  - supportsNetWmHint
- Signals
  - windowManagerChanged

Description

No description available in the introspection data.

Synopsis

- newtype X11Screen = X11Screen (ManagedPtr X11Screen)
- class (GObject o, IsDescendantOf X11Screen o) => IsX11Screen o
- toX11Screen :: (MonadIO m, IsX11Screen o) => o -> m X11Screen
- x11ScreenGetCurrentDesktop :: (HasCallStack, MonadIO m, IsX11Screen a) => a -> m Word32
- x11ScreenGetMonitorOutput :: (HasCallStack, MonadIO m, IsX11Screen a) => a -> Int32 -> m CULong
- x11ScreenGetNumberOfDesktops :: (HasCallStack, MonadIO m, IsX11Screen a) => a -> m Word32
- x11ScreenGetScreenNumber :: (HasCallStack, MonadIO m, IsX11Screen a) => a -> m Int32
- x11ScreenGetWindowManagerName :: (HasCallStack, MonadIO m, IsX11Screen a) => a -> m Text
- x11ScreenGetXscreen :: (HasCallStack, MonadIO m, IsX11Screen a) => a -> m Screen
- x11ScreenLookupVisual :: (HasCallStack, MonadIO m, IsX11Screen a) => a -> CULong -> m X11Visual
- x11ScreenSupportsNetWmHint :: (HasCallStack, MonadIO m, IsX11Screen a) => a -> Atom -> m Bool
- type X11ScreenWindowManagerChangedCallback = IO ()
- afterX11ScreenWindowManagerChanged :: (IsX11Screen a, MonadIO m) => a -> ((?self :: a) => X11ScreenWindowManagerChangedCallback) -> m SignalHandlerId
- onX11ScreenWindowManagerChanged :: (IsX11Screen a, MonadIO m) => a -> ((?self :: a) => X11ScreenWindowManagerChangedCallback) -> m SignalHandlerId

# Exported types

newtype X11Screen Source #

Memory-managed wrapper type.

Constructors

X11Screen (ManagedPtr X11Screen) |

#### Instances

Instances details

Eq X11Screen Source # |
Instance details Defined in GI.GdkX11.Objects.X11Screen Methods (==) :: X11Screen -> X11Screen -> Bool Source # (/=) :: X11Screen -> X11Screen -> Bool Source #
GObject X11Screen Source # |
Instance details Defined in GI.GdkX11.Objects.X11Screen
ManagedPtrNewtype X11Screen Source # |
Instance details Defined in GI.GdkX11.Objects.X11Screen Methods toManagedPtr :: X11Screen -> ManagedPtr X11Screen Source #
TypedObject X11Screen Source # |
Instance details Defined in GI.GdkX11.Objects.X11Screen Methods glibType :: IO GType Source #
HasParentTypes X11Screen Source # |
Instance details Defined in GI.GdkX11.Objects.X11Screen
IsGValue (Maybe X11Screen) Source # | Convert `X11Screen` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.GdkX11.Objects.X11Screen Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe X11Screen -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe X11Screen) Source #
type ParentTypes X11Screen Source # |
Instance details Defined in GI.GdkX11.Objects.X11Screen type ParentTypes X11Screen = '[Screen, Object]

class (GObject o, IsDescendantOf X11Screen o) => IsX11Screen o Source #

Type class for types which can be safely cast to `X11Screen`, for instance with `toX11Screen`.

#### Instances

Instances details

(GObject o, IsDescendantOf X11Screen o) => IsX11Screen o Source # |
Instance details Defined in GI.GdkX11.Objects.X11Screen

toX11Screen :: (MonadIO m, IsX11Screen o) => o -> m X11Screen Source #

Cast to `X11Screen`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isComposited, isFloating, listVisuals, lookupVisual, makeDisplayName, notify, notifyByPspec, ref, refSink, runDispose, stealData, stealQdata, supportsNetWmHint, thawNotify, unref, watchClosure.

#### Getters

getActiveWindow, getCurrentDesktop, getData, getDisplay, getFontOptions, getHeight, getHeightMm, getMonitorAtPoint, getMonitorAtWindow, getMonitorGeometry, getMonitorHeightMm, getMonitorOutput, getMonitorPlugName, getMonitorScaleFactor, getMonitorWidthMm, getMonitorWorkarea, getNMonitors, getNumber, getNumberOfDesktops, getPrimaryMonitor, getProperty, getQdata, getResolution, getRgbaVisual, getRootWindow, getScreenNumber, getSetting, getSystemVisual, getToplevelWindows, getWidth, getWidthMm, getWindowManagerName, getWindowStack, getXscreen.

#### Setters

setData, setDataFull, setFontOptions, setProperty, setResolution.

## getCurrentDesktop

x11ScreenGetCurrentDesktop Source #

Arguments

:: (HasCallStack, MonadIO m, IsX11Screen a) |
=> a | `screen`: a `Screen`
-> m Word32 | Returns: the current workspace, or 0 if workspaces are not supported

Returns the current workspace for `screen` when running under a window manager that supports multiple workspaces, as described in the Extended Window Manager Hints specification.

Since: 3.10

## getMonitorOutput

x11ScreenGetMonitorOutput Source #

Arguments

:: (HasCallStack, MonadIO m, IsX11Screen a) |
=> a | `screen`: a `Screen`
-> Int32 | `monitorNum`: number of the monitor, between 0 and gdk_screen_get_n_monitors (screen)
-> m CULong | Returns: the XID of the monitor

Gets the XID of the specified output/monitor. If the X server does not support version 1.2 of the RANDR extension, 0 is returned.

Since: 2.14

## getNumberOfDesktops

x11ScreenGetNumberOfDesktops Source #

Arguments

:: (HasCallStack, MonadIO m, IsX11Screen a) |
=> a | `screen`: a `Screen`
-> m Word32 | Returns: the number of workspaces, or 0 if workspaces are not supported

Returns the number of workspaces for `screen` when running under a window manager that supports multiple workspaces, as described in the Extended Window Manager Hints specification.

Since: 3.10

## getScreenNumber

x11ScreenGetScreenNumber Source #

Arguments

:: (HasCallStack, MonadIO m, IsX11Screen a) |
=> a | `screen`: a `Screen`
-> m Int32 | Returns: the position of `screen` among the screens of its display

Returns the index of a `Screen`.

Since: 2.2

## getWindowManagerName

x11ScreenGetWindowManagerName Source #

Arguments

:: (HasCallStack, MonadIO m, IsX11Screen a) |
=> a | `screen`: a `Screen`
-> m Text | Returns: the name of the window manager screen `screen`, or "unknown" if the window manager is unknown. The string is owned by GDK and should not be freed.

Returns the name of the window manager for `screen`.

Since: 2.2

## getXscreen

x11ScreenGetXscreen Source #

Arguments

:: (HasCallStack, MonadIO m, IsX11Screen a) |
=> a | `screen`: a `Screen`
-> m Screen | Returns: an Xlib Screen*

Returns the screen of a `Screen`.

Since: 2.2

## lookupVisual

x11ScreenLookupVisual Source #

Arguments

:: (HasCallStack, MonadIO m, IsX11Screen a) |
=> a | `screen`: a `Screen`.
-> CULong | `xvisualid`: an X Visual ID.
-> m X11Visual | Returns: the `Visual` (owned by the screen object), or `Nothing` if the visual ID wasn’t found.

Looks up the `Visual` for a particular screen and X Visual ID.

Since: 2.2

## supportsNetWmHint

x11ScreenSupportsNetWmHint Source #

Arguments

:: (HasCallStack, MonadIO m, IsX11Screen a) |
=> a | `screen`: the relevant `Screen`.
-> Atom | `property`: a property atom.
-> m Bool | Returns: `True` if the window manager supports `property`

This function is specific to the X11 backend of GDK, and indicates whether the window manager supports a certain hint from the Extended Window Manager Hints specification.

When using this function, keep in mind that the window manager can change over time; so you shouldn’t use this function in a way that impacts persistent application state. A common bug is that your application can start up before the window manager does when the user logs in, and before the window manager starts `x11ScreenSupportsNetWmHint` will return `False` for every property. You can monitor the window_manager_changed signal on `Screen` to detect a window manager change.

Since: 2.2

# Signals

## windowManagerChanged

type X11ScreenWindowManagerChangedCallback = IO () Source #

No description available in the introspection data.

afterX11ScreenWindowManagerChanged :: (IsX11Screen a, MonadIO m) => a -> ((?self :: a) => X11ScreenWindowManagerChangedCallback) -> m SignalHandlerId Source #

Connect a signal handler for the windowManagerChanged signal, to be run after the default handler. When overloading is enabled, this is equivalent to

    after x11Screen #windowManagerChanged callback

By default the object invoking the signal is not passed to the callback. If you need to access it, you can use the implit `?self` parameter. Note that this requires activating the `ImplicitParams` GHC extension.

onX11ScreenWindowManagerChanged :: (IsX11Screen a, MonadIO m) => a -> ((?self :: a) => X11ScreenWindowManagerChangedCallback) -> m SignalHandlerId Source #

Connect a signal handler for the windowManagerChanged signal, to be run before the default handler. When overloading is enabled, this is equivalent to

    on x11Screen #windowManagerChanged callback